XmVaCreateMessageBox(3)

NAME
XmVaCreateMessageBox, XmVaCreateManagedMessageBox — A MessageBox widget convenience creation functions.

SYNOPSIS

#include <Xm/MessageB.h>

Widget XmVaCreateMessageBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedMessageBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateMessageBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateMessageBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of MessageBox and its associated resources, see XmMessageBox(3).

RETURN

Returns the MessageBox widget ID.

RELATED

XmMessageBox(3), XmCreateMessageBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).